import { BaseTerminalTabComponent } from 'tabby-terminal';
export declare abstract class LinkHandler {
    regex: RegExp;
    priority: number;
    convert(uri: string, _tab?: BaseTerminalTabComponent): Promise<string> | string;
    verify(_uri: string, _tab?: BaseTerminalTabComponent): Promise<boolean> | boolean;
    abstract handle(uri: string, tab?: BaseTerminalTabComponent): void;
}
